compiling opencv with cuda 9.0

I am unable to compile opencv 3.3.0 or opencv 2.4.14.3 with cuda 9.0 . I get the following error. I was able to compile it with cuda 8

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
opencv_dep_CUDA_nppi_LIBRARY
linked by target “opencv_core” in directory /home/kamal/packages/opencv-2.4.13.3/modules/core
linked by target “opencv_core” in directory /home/kamal/packages/opencv-2.4.13.3/modules/core
linked by target “opencv_flann” in directory /home/kamal/packages/opencv-2.4.13.3/modules/flann
linked by target “opencv_imgproc” in directory /home/kamal/packages/opencv-2.4.13.3/modules/imgproc
linked by target “opencv_highgui” in directory /home/kamal/packages/opencv-2.4.13.3/modules/highgui
linked by target “opencv_features2d” in directory /home/kamal/packages/opencv-2.4.13.3/modules/features2d
linked by target “opencv_calib3d” in directory /home/kamal/packages/opencv-2.4.13.3/modules/calib3d
linked by target “opencv_ml” in directory /home/kamal/packages/opencv-2.4.13.3/modules/ml
linked by target “opencv_video” in directory /home/kamal/packages/opencv-2.4.13.3/modules/video
linked by target “opencv_legacy” in directory /home/kamal/packages/opencv-2.4.13.3/modules/legacy
linked by target “opencv_objdetect” in directory /home/kamal/packages/opencv-2.4.13.3/modules/objdetect
linked by target “opencv_photo” in directory /home/kamal/packages/opencv-2.4.13.3/modules/photo
linked by target “opencv_gpu” in directory /home/kamal/packages/opencv-2.4.13.3/modules/gpu
linked by target “opencv_gpu” in directory /home/kamal/packages/opencv-2.4.13.3/modules/gpu
linked by target “opencv_gpu” in directory /home/kamal/packages/opencv-2.4.13.3/modules/gpu
linked by target “gpu_perf4au” in directory /home/kamal/packages/opencv-2.4.13.3/modules/gpu/perf4au
linked by target “opencv_ocl” in directory /home/kamal/packages/opencv-2.4.13.3/modules/ocl
linked by target “opencv_nonfree” in directory /home/kamal/packages/opencv-2.4.13.3/modules/nonfree
linked by target “opencv_nonfree” in directory /home/kamal/packages/opencv-2.4.13.3/modules/nonfree
linked by target “opencv_contrib” in directory /home/kamal/packages/opencv-2.4.13.3/modules/contrib
linked by target “opencv_contrib” in directory /home/kamal/packages/opencv-2.4.13.3/modules/contrib
linked by target “opencv_python” in directory /home/kamal/packages/opencv-2.4.13.3/modules/python
linked by target “opencv_stitching” in directory /home/kamal/packages/opencv-2.4.13.3/modules/stitching
linked by target “opencv_stitching” in directory /home/kamal/packages/opencv-2.4.13.3/modules/stitching
linked by target “opencv_superres” in directory /home/kamal/packages/opencv-2.4.13.3/modules/superres
linked by target “opencv_superres” in directory /home/kamal/packages/opencv-2.4.13.3/modules/superres
linked by target “opencv_ts” in directory /home/kamal/packages/opencv-2.4.13.3/modules/ts
linked by target “opencv_videostab” in directory /home/kamal/packages/opencv-2.4.13.3/modules/videostab
linked by target “opencv_videostab” in directory /home/kamal/packages/opencv-2.4.13.3/modules/videostab
linked by target “opencv_performance” in directory /home/kamal/packages/opencv-2.4.13.3/apps/haartraining
linked by target “opencv_createsamples” in directory /home/kamal/packages/opencv-2.4.13.3/apps/haartraining
linked by target “opencv_haartraining” in directory /home/kamal/packages/opencv-2.4.13.3/apps/haartraining
linked by target “opencv_haartraining_engine” in directory /home/kamal/packages/opencv-2.4.13.3/apps/haartraining
linked by target “opencv_traincascade” in directory /home/kamal/packages/opencv-2.4.13.3/apps/traincascade
linked by target “opencv_annotation” in directory /home/kamal/packages/opencv-2.4.13.3/apps/annotation
linked by target “opencv_visualisation” in directory /home/kamal/packages/opencv-2.4.13.3/apps/visualisation
linked by target “opencv_version” in directory /home/kamal/packages/opencv-2.4.13.3/apps/version`

I met the same problem, so tedious.

same problem here!

https://devtalk.nvidia.com/default/topic/1024631/cuda-setup-and-installation/cuda-9-opencv-gt-building-errors/

Can you post your cmake command with the arguments complete? And how did you install cuda 9.0? Your ubuntu version as well.